Bug Hunting Session
Bug 45908 - FILEOPEN: Layout loop caused by tabs
Summary: FILEOPEN: Layout loop caused by tabs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-10 12:53 UTC by Cédric Bosdonnat
Modified: 2017-06-22 14:15 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
file for reproducing the loop (8.35 KB, application/vnd.oasis.opendocument.text)
2012-02-10 12:53 UTC, Cédric Bosdonnat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Bosdonnat 2012-02-10 12:53:20 UTC
Created attachment 56887 [details]
file for reproducing the loop

Problem description: 

Steps to reproduce:
 * Open attached file

Current behavior:
 * Writer entered an infinite loop

Expected behavior:
 * Open the document
Comment 1 Cédric Bosdonnat 2012-02-10 12:55:58 UTC
mine (and actually already fixed)... but reported mostly to keep track of the bug file.
Comment 2 Cédric Bosdonnat 2012-02-10 13:00:35 UTC
Fixed by this commit in master:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=36c905d8c2874f6f984d5fbbc07784ec20c43524
Comment 3 Jan Holesovsky 2012-02-14 03:43:34 UTC
Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr> commited a patch related to this issue to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efae3866d2f3ff23f403d81f58e719a69bf070e9&g=libreoffice-3-5

fdo#45908: Cleaning up the tabs too early can cause loops
Comment 4 Jan Holesovsky 2012-02-14 03:44:22 UTC
Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr> commited a patch related to this issue to "libreoffice-3-4":

http://cgit.freedesktop.org/libreoffice/writer/commit/?id=042e3727babc62913c753594412e7d7efbed43bf&g=libreoffice-3-4

fdo#45908: Cleaning up the tabs too early can cause loops